%define base_name	murphy

Name:		fortune-%{base_name}
Version:	1.0
Release:	%mkrel 25
Summary:	Quotes from Murphy's laws
License:	GPLv2
Group:		Toys
Source:		%{name}-%{version}.tar.bz2
Requires:	fortune-mod
BuildRequires:	fortune-mod
BuildRequires:	perl
BuildArch:	noarch

%description
This is a collection of more than 1250 Murphy's (& Al) laws, ignominously
stolen from the excellent Ultimate Collection of Murphy's Laws by Andreas Götz
(http://www.cpuidle.de/murphy.shtml), provided at a format used by the good old
fortune command.

%prep
%setup -q

%build
rm -f data/*.dat
for file in data/*; do
    iconv -f latin1 -t utf8 < $file >> murphy
done
# Remove trailing whitespace because it confuses /usr/sbin/strfile by lumping
# fortunes together.
perl -i -lpe 's/[ \t]+$//' murphy
/usr/bin/strfile murphy murphy.dat

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 murphy murphy.dat %{buildroot}%{_gamesdatadir}/fortunes

%files
%doc COPYING README
%{_gamesdatadir}/fortunes/murphy
%{_gamesdatadir}/fortunes/murphy.dat


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0-25.mga10
+ Revision: 2202581
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0-24.mga9
+ Revision: 1808013
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0-23.mga8
+ Revision: 1501952
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0-22.mga7
+ Revision: 1278354
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 shlomif <shlomif> 1.0-21.mga7
+ Revision: 1210374
- remove trailing space.

* Mon Feb 08 2016 umeabot <umeabot> 1.0-20.mga6
+ Revision: 944371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-19.mga5
+ Revision: 739488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-18.mga5
+ Revision: 679304
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-17.mga4
+ Revision: 504562
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-16.mga3
+ Revision: 350784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 16 2012 guillomovitch <guillomovitch> 1.0-15.mga2
+ Revision: 196784
- don't include index files in fortune file

* Thu Jan 12 2012 guillomovitch <guillomovitch> 1.0-14.mga2
+ Revision: 195451
- merge all categories in  a single file

* Thu Jan 12 2012 guillomovitch <guillomovitch> 1.0-13.mga2
+ Revision: 195239
- imported package fortune-murphy


* Thu Jan 12 2012 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-13.mga2
- imported from mandriva
- utf8 conversion
